.input-container input,
.input-container select {
  width: 100%;
  height: 100%;
}

.choices-container,
.input-container {
  position: relative;
}
.input-container input:not([type="radio"]):not(.choices__input):not(.button) {
  padding-right: 40px;
}
.input-container .htmx-indicator,
.choices-container .autosave-indicator,
.input-container .autosave-indicator {
  position: absolute;
  height: 20px;
  width: 20px;
  right: 10px;
  bottom: 10px;
}
.input-container select ~ .htmx-indicator,
.input-container .choices ~ .htmx-indicator,
.choices-container .autosave-indicator,
.input-container select ~ .autosave-indicator {
  right: 32px;
}
.language-mapper.autosaving .language-mapper--select {
  position: relative;
}
.input-container .choices ~ .autosave-indicator,
.choices-container .autosave-indicator,
.language-mapper.autosaving .autosave-indicator {
  right: 32px;
}
.autosave-indicator {
  opacity: 0;
}
.autosave-indicator {
  transition: opacity 200ms ease-in;
}

.autosave-indicator-error {
  opacity: 0;
}
.autosave-error .autosave-indicator-error {
  opacity: 1;
}
.htmx-request.autosave-error .autosave-indicator-error {
  opacity: 0;
}
